export type StylesKeys = 'popover';
export type StylesObj = {
    [key in StylesKeys]?: StyleFn;
};
export type StyleFn = (props: {
    [key: string]: any;
}, state?: {
    [key: string]: any;
}) => React.CSSProperties;
export type Styles = {
    popover: StyleFn;
};
export type StyleKey = keyof Styles;
export declare const defaultStyles: Styles;
export type getStylesType = (key: StylesKeys, extra?: any) => {};
export declare function stylesMatcher(styles: StylesObj): (key: StyleKey, state: {}) => {};
