export declare function getRect<T extends Element>(element?: T | undefined | null): RectResult;
export declare function useRect<T extends Element>(ref: React.RefObject<T> | undefined, refresher?: any): RectResult;
export declare function useElemRect(elem: Element | undefined, refresher?: any): RectResult;
export type RectResult = {
    bottom: number;
    height: number;
    left: number;
    right: number;
    top: number;
    width: number;
    x: number;
    y: number;
};
