import React, { MouseEventHandler } from 'react';
import { StylesObj } from './styles';
import { RectResult } from '../utils';
declare const Mask: React.FC<MaskProps>;
export type MaskProps = {
    children?: React.ReactNode;
    sizes: RectResult;
    styles?: StylesObj;
    className?: string;
    highlightedAreaClassName?: string;
    padding?: number | number[];
    wrapperPadding?: number | number[];
    onClick?: MouseEventHandler<HTMLDivElement>;
    onClickHighlighted?: MouseEventHandler<SVGRectElement>;
    maskId?: string;
    clipId?: string;
};
export default Mask;
