import React, { Dispatch } from 'react';
import { KeyboardParts, ClickProps, KeyboardHandler } from './types';
declare const Keyboard: React.FC<KeyboardProps>;
export type KeyboardProps = KeyboardHandler & {
    disableKeyboardNavigation?: boolean | KeyboardParts[];
    setCurrentStep: Dispatch<React.SetStateAction<number>>;
    currentStep: number;
    setIsOpen: Dispatch<React.SetStateAction<boolean>>;
    stepsLength: number;
    disable?: boolean;
    rtl?: boolean;
    clickProps?: ClickProps;
};
export default Keyboard;
