import { ComponentType } from 'react';
import { BadgeProps } from './Badge';
import { CloseProps } from './Close';
import { ContentProps } from './Content';
import { NavigationProps, ArrowProps } from './Navigation';
export interface PopoverComponents {
    Badge: ComponentType<BadgeProps>;
    Close: ComponentType<CloseProps>;
    Content: ComponentType<ContentProps>;
    Navigation: ComponentType<NavigationProps>;
    Arrow: ComponentType<ArrowProps>;
}
export type PopoverComponentsType = Partial<PopoverComponents>;
export declare const components: {
    Badge: import("react").FC<import("react").PropsWithChildren<BadgeProps>>;
    Close: import("react").FC<CloseProps>;
    Content: import("react").FC<ContentProps>;
    Navigation: import("react").FC<NavigationProps>;
    Arrow: import("react").FC<ArrowProps>;
};
export type PopoverComponentGeneric = typeof components;
export declare const defaultComponents: (comps: PopoverComponentsType) => PopoverComponentGeneric;
