import { InViewArgs, PositionsObjectType } from './types';
export declare function safe(sum: number): number;
export declare function getInViewThreshold(threshold: InViewArgs['threshold']): {
    thresholdX: number;
    thresholdY: number;
};
export declare function getWindow(): {
    w: number;
    h: number;
};
export declare function inView({ top, right, bottom, left, threshold, }: InViewArgs): boolean;
export declare const isHoriz: (pos: string) => boolean;
export declare const isOutsideX: (val: number, windowWidth: number) => boolean;
export declare const isOutsideY: (val: number, windowHeight: number) => boolean;
export declare function bestPositionOf(positions: PositionsObjectType, filters?: string[]): string[];
export declare function getPadding(padding?: number | number[]): number[];
